SWF Live Preview Manual

SWF Live Preview
Introduction

Thank you for choosing our SWF Live Preview product! This software is aimed to help you to preview Macromedia Flash files using standard built-in Windows Explorer. Excellent design, easy-to-use interface, powerful features and unique capabilities make SWF Live Preview indispensable application. And it is free of charge! You won't find anything similar!

Once SWF Live Preview is installed you may scan directories and subdirectories for flash files, create and preview thumbnails for SWF as well as Projector EXE files, fetch information such as Flash version, number of frames, shapes, find out if file is compressed or not etc. You may choose yourself which frame to create thumbnail from as well as size of preview. If you have removed any flash file from your computer you may clear cache in order to save some storage space.

Our product may scan SWF and EXE (Projector EXE) extensions files. Moreover, if you have other our products such as Flash Optimizer or Flash Decompiler you may optimize or decompile Macromedia Flash files correspondingly.

Features list:

  • Excellent design and easy-to-use interface
  • Create SWF file previews from Macromedia Flash SWF and Projector EXE files
  • Specify frame you want to create image preview from (by default first not empty frame is taken)
  • Specify image preview size (from 32 to 255 pixel)
  • Easy and convenient way to check SWF file details:
    • View SWF file information in hints
    • View SWF file information in status bar
    • View SWF file information in file properties tab
    • View SWF file information in Windows Explorer pane
  • Could be launched automatically at Windows startup
  • Open SWF files in Flash Decompiler and File Optimizer directly from File Properties tab (in case you have Flash Decompiler and File Optimizer installed in your system)

And all that you may get for free!

Eltima Software GmbH © 2000-2005


License/Copyright.

FREEWARE SOFTWARE LICENSE AGREEMENT

This is our Freeware Software License Agreement, which applies to all software products available for download from Eltima website(s), unless labeled as something other than freeware. All software available for download via Eltima website(s) are copyright of Eltima Software GmbH unless otherwise stated. Copyright law protects this software program and any associated material. Eltima retains title to and ownership in the copyright of the software program and the associated materials. This software is not provided as public domain software.

Freeware License Rights: All software products available for download from associated website(s), unless labeled otherwise, are provided as freeware. Freeware products are provided free of charge. Freeware software may be used as many times as you like, for as long as you like. You may copy and distribute copies of this program provided that you keep this copyright notice and disclaimer of warranty intact. You must not charge money or fees for the software product to anyone except to cover distribution costs. The copyright holder reserves the right to reclassify this software as a non-freeware product at a later date (i.e. shareware of public domain). Doing so will not modify the license agreement of previously distributed executables.

Warranty: This program is provided "as is" without warranties of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the program is with you. Should the program prove defective, you assume the cost of all necessary servicing, repair or correction. In no event will any copyright holder be liable to you for damages, including any general, special, incidental or consequential damages arising out of the use or inability to use the program (including but not limited to loss of data or data being rendered inaccurate or losses sustained by you or third parties or a failure of the program to operate with any other programs).

Technical Support: Technical support may be provided via e-mail and/or website postings. While every effort is made to provided timely technical support no guarantees whatsoever are implied that technical support will be provided or that technical support, when provided, will be accurate. Software offered on this site is basically supplied on an as-is basis.

Agreement: By using our software products you are automatically agreeing to and show that you have read and understood the terms and conditions contained within this Freeware Software License Agreement. This Freeware Software License Agreement is then effective while you use and continue to make use of these software products. If you do not agree with our Freeware Software License Agreement you must not use our software products - this Freeware Software License Agreement will then not apply to you. This Freeware Software License Agreement is subject to change without notice.

Any company names, logos, mottoes and product names mentioned or shown on associated website(s) or in software products may be copyright, trademarked or registered trademarked by their respective owners.

Copyright (C) 2005, Eltima Software GmbH.


Other products

You may have a look at other our products that work with Macromedia Flash SWF format such as:

Flash Decompiler
http://www.eltima.com/products/flashdecompiler
Flash Decompiler delivers the power to extract all resources from a Flash movie. With an ease of one click you can extract and store sounds, images, videos, shapes, frames, morphs, fonts, texts, buttons, sprites and ActionScripts from any SWF file directly to your hard drive.

Flash Optimizer
http://www.eltima.com/products/flashoptimizer
Flash Optimizer is the most powerful SWF compressor available today. It reduces SWF files size up to 60-70% without quality loss thanks to amazing algorithms of vectors, shapes, morphing, Z-buffer, fonts and other revolutionary optimizations.

Show.kit 2.0
http://www.eltima.com/products/showkit2
Show.kit is a multi-template multimedia authoring tool that gives you the interface to create astonishing Flash and HTML websites, Flash presentations, Flash Intros and Flash preloaders. Create, upload, and go for a coffee... with Show.kit!

Flasher Suite
http://www.eltima.com/products/flashersuite
Flasher Suite combines two award-winning Flash design tools on the market: best-known Flash Optimizer and the most user-friendly and powerful Flash Decompiler. Ordering Flasher Suite now, you will save more than 20% of each product price!


Technical and information support

You can easily request support via any of the following methods:

Support via e-mail:

You can always reach our Support Team via the following e-mail: support@eltima.com

Support via instant messengers:
ICQ #: 133156588
MSN Messenger ID: softinfinity@hotmail.com
AOL Messenger ID: SoftInfinitySP
Yahoo! Messenger ID: serge_softinfinity

Support via phone:

Support line #1: +38 066 7917364 [24/7]
Support line #2: +38 061 2891472 [CET]


System requirements

SWF Live Preview will run on any computer systems that meet the minimum requirements specified here. Choose the recommended requirements if you wish to utilize SWF Live Preview at the best potential.

Minimum system requirements:

Processor | Pentium II class at least 200 MHz
OS | Windows 2000, 2003, XP
RAM | 64 MB
Disk Space | 3-5 MB of initial free disk space
Video | 800x600, True Color
For improved performance, we recommend:
Processor | 1 Ghz or more
RAM | 256 MB or more
Video | 1024x768, True Color 32 bit

Note: SWF Live Preview will work under Windows 2000/XP/2003 with Macromedia Flash Player ActiveX control installed.

To get more information about Windows OS versions, please, visit Microsoft website at: http://www.microsoft.com

If you don't have Macromedia Flash OCX installed, you may download it from our website at:
http://www.eltima.com/download/flash_ax_7.exe

To get more information about Macromedia Flash, please visit Macromedia website:
http://www.macromedia.com


What's new in this version?

SWF Live Preview 1.0
[Build 1.0.2.27]
Released: 29th April, 2005

  • Changed support of operating systems:
    • Windows 2000
    • Windows XP
    • Windows 2003
  • Changed confirmation dialog when disabling SWF Live Preview
  • Fixed bug when closing "Creation preview" dialog window
  • Checking system on which OS SWF Live Preview is installing
  • Intaller checks if swf_lp.dll is active (and therefore cannot be deleted and restarts Windows to be able to rewrite it
  • Changed confirmation dialog when disabling SWF Live Preview
  • New improved interface and error handler

NEW SWF Live Preview 1.0
[Build 1.0.2.26]
Released: 15th April, 2005


Installation

Installation process is quite straightforward. You have to download the latest version from our official website at the following address:

http://www.eltima.com/download/swf-live-preview

and launch file in order to start installation process. During installation process you will be asked for the path you would like to install SWF Live Preview to and choose Start Menu folder name.

Short description on how to use it will be shown:

And the final window will allow you to select following options:

  • Launch SWF Live Preview automatically at Windows startup
  • Create and cache SWF files previews after installation is finished
  • Launch SWF Live Preview after installation is finished
  • View manual


Configuration

You may change program settings by right clicking SWF Live Preview icon in system tray.

New menu will pop-up with following options:

"Create previews for directory" - select folder to scan for flash files (excluding subfolders)

"Create previews for directory including subfolders" - select folder to scan for flash files (subfolders will be scanned too)

"Launch SWF Live Preview at Windows Startup" - automatically launch program at Windows startup

"Enable preview for Projector EXE files" - enable/disable preview for Projector EXE files format

"Clear cached previews" - remove cache previews completely

"Purge cache" - synchronize cache by removing thumbnails of unused or deleted flash files. This will free some storage space

"Choose frame number for preview" - you may choose yourself which frame to use as thumbnail. Useful if first frames are black or have small shapes that are hard to notice

"Choose thumbnail size" - you may specify thumbnail size (from 32 to 255 pixels)

"Check for updates" - connect to our site and check for updates

"Write to tech support" - if you have any questions or you found a bug in our product you may contact us using online form

"User Manual" - this particular manual

"About" - brief information about program such as version, license information etc.

"Disable Thumbnails view for SWF files" - disable SWF Live Preview

"Exit SWF Live Preview" - close SWF Live Preview


Usage

After installation process new icon in system tray will appear. Right click it and select first menu option "Create previews for directory". New window will appear and you may select folder to scan for SWF files. Note: if you have selected "Create and cache SWF files preview for this computer now" during installation process you may omit this step - SWF file previews were automatically created earlier.

Since SWF Live Preview is a Shell extension handler which allow you to view Macromedia Flash files directly in Windows Explorer as any other image files. Make sure that you have selected correspondent option in Windows Explorer (View -> Thumbnails) or, alternatively, click toolbar button

SWF Live Preview gives convenient way to check SWF file information by displaying information in hint area (move mouse pointer over any SWF file and leave it there for awhile):

and same information in menu bar:

Image preview with SWF file information can be seen in Windows Explorer pane. As you may see Macromedia SWF file preview differ from Projector EXE file: small icon is added to preview for EXE files.

Moreover, you may get extended information about particular file by right clicking it and selecting "Properties" option. You may notice that new tab (SWF info) appears. Select it and you may see detailed information such as file size, number of frames, shapes and sounds, frame rate, frame height and width, flash version etc.

Pay attention to last 2 options in "Tools" section: Flash Decompiler and Flash Optimizer. Those are 2 other our products that work with flash files. First one allows decompiling and converting swf files and second allows compressing files without quality loss. If you have mentioned products installed then clicking either option will launch correspondent program to operate on current flash file. In case you haven’t installed those programs then you will be redirected to our web site where you can download them and get more information about our products.


Uninstallation

You may uninstall our product using Windows Start menu:

Start-> All Programs -> Eltima Software -> SWF Live Preview -> Uninstall SWF Live Preview

In order to remove it completely you have to restart you computer.


Frequently Asked Questions

Q. Why some of my thumbnails are while as if they are empty?
A. Actually they are not empty, our program seeks first not empty frame and creates thumbnails, however some of the frames may have small element/elements which is/are invisible in preview or frame may have white shape on white background. You may change frame yourself by right clicking on icon in system tray and selecting "Choose frame number for preview".

Q. May I change thumbnail’s size?
A. Yes sure. Right click on SWF Live Preview icon in system tray and select "Choose thumbnail size" option. You may resize it from 32 up to 255 pixels.

Q. Why after cleaning preview cache and disabling your program I still may see previews in Windows Explorer?
A. Windows Explorer reads SWF Live Preview cache as if it were ordinary image files and doesn’t address to our program later. To fix this problem you should remove thumbs.db file in current directory or in Windows Explorer main menu disable thumbnail’s caching:
Tools-> Folder options-> View-> disable “Do not cache thumbnails” option.